$Prefix = "1.2.840.113556.1.8000.2554"
$GUID = [System.Guid]::NewGuid().ToString()
$Parts = @()
$Parts += [UInt64]::Parse($GUID.SubString(0, 4), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(4, 4), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(9, 4), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(14, 4), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(19, 4), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(24, 6), "AllowHexSpecifier")
$Parts += [UInt64]::Parse($GUID.SubString(30, 6), "AllowHexSpecifier")
$OID = [String]::Format("{0}.{1}.{2}.{3}.{4}.{5}.{6}.{7}", $Prefix, $Parts[0], `
$Parts[1], $Parts[2], $Parts[3], $Parts[4], $Parts[5], $Parts[6])
$oid
